Qt 5.6 | Qt 3D | C++ Classes | QClearBuffer

Qt 5.6.3 Reference Documentation

# QClearBuffer Class

(Qt3DRender::QClearBuffer)

Inherits: | QFrameGraphNode

- List of all members, including inherited members

## Public Types

enum | BufferType { None, ColorBuffer, DepthBuffer, StencilBuffer, ..., AllBuffers }

## Properties

- buffers : BufferType

- 1 property inherited from Qt3DRender::QFrameGraphNode
- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QClearBuffer(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QClearBuffer()
BufferType | buffers() const

- 2 public functions inherited from Qt3DRender::QFrameGraphNode
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setBuffers(BufferType buffers)

- 1 public slot inherited from Qt3DRender::QFrameGraphNode
- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | buffersChanged(BufferType buffers)

- 1 signal inherited from Qt3DRender::QFrameGraphNode
- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

| QClearBuffer(QClearBufferPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)
void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Member Type Documentation

### enum QClearBuffer::BufferType

## Property Documentation

### buffers : BufferType

Access functions:

BufferType | buffers() const
void | setBuffers(BufferType buffers)

Notifier signal:

void | buffersChanged(BufferType buffers)

## Member Function Documentation

### QClearBuffer::QClearBuffer(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QClearBuffer.

### `[protected]` QClearBuffer::QClearBuffer(QClearBufferPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)

Copy constructor.

### QClearBuffer::~QClearBuffer()

Destroys the instance of QClearBuffer.

### `[protected]` void QClearBuffer::copy(const Qt3DCore::QNode *ref)